CHRT(1)

NOM
chrt - Manipuler les attributs temps réel d'un processus

SYNOPSIS
chrt [options] priorité commande [paramètres] ...
chrt [options] -p [priorité] PID

DESCRIPTION

chrt définit ou récupère les attributs d'ordonnancement temps réel d'un PID existant ou exécute la commande avec les attributs fournis. La stratégie (une valeur parmi SCHED_OTHER, SCHED_FIFO, SCHED_RR, SCHED_BATCH ou SCHED_IDLE) et la priorité peuvent être définies et récupérées.

La stratégie SCHED_BATCH est gérée depuis Linux 2.6.16. La stratégie SCHED_IDLE est gérée depuis Linux 2.6.23.

L’attribut SCHED_RESET_ON_FORK pour les stratégies SCHED_RR et SCHED_FIFO est géré depuis Linux 2.6.31.

OPTIONS

-a, --all-tasks
    Définir ou récupérer les attributs d'ordonnancement de toutes les tâches (threads) d'un PID donné.

-b, --batch
    Définir la stratégie d'ordonnancement à SCHED_BATCH (spécifique au système Linux). L’argument priorité doit être défini à zéro.

-f, --fifo
    Définir la stratégie d'ordonnancement à SCHED_FIFO.

-i, --idle
    Définir la stratégie d'ordonnancement à SCHED_IDLE (spécifique au système Linux). L’argument priorité doit être défini à zéro.

-m, --max
    Afficher les priorités minimales et maximales, puis quitter.

-o, --other
    Définir la stratégie d'ordonnancement à SCHED_OTHER.

-p, --pid
    Agir sur un PID existant et ne pas lancer de nouvelle tâche.

-R, --reset-on-fork
    Ajouter l’attribut SCHED_RESET_ON_FORK aux stratégies d'ordonnancement SCHED_FIFO ou SCHED_RR (spécifique au système Linux).

-r, --rr
    Définir la stratégie d’ordonnancement à SCHED_RR. Quand la stratégie n’est pas définie, SCHED_RR est utilisée par défaut.

-v, --verbose
    Montrer les informations d'état.

-V, --version
    Afficher les informations sur la version et quitter.

-h, --help
    Afficher un texte d'aide puis quitter.

UTILISATION

Le comportement par défaut est d'exécuter une nouvelle commande :
    chrt priorité commande [paramètres]

Vous pouvez aussi récupérer les attributs temps réel d'une tâche existante :
    chrt -p PID

ou les définir :
    chrt -r -p priorité PID

PERMISSIONS
Un utilisateur doit posséder la capacité CAP_SYS_NICE afin de modifier les attributs d'ordonnancement d'un processus. N'importe quel utilisateur peut récupérer les informations d'ordonnancement.

NOTES
Seules SCHED_FIFO, SCHED_OTHER et SCHED_RR font partie de POSIX 1003.1b « Process Scheduling » (ordonnancement de processus). Les autres attributs d'ordonnancement pourraient être ignorées sur d'autres systèmes.

La stratégie d’ordonnancement par défaut sous Linux est SCHED_OTHER.

VOIR AUSSI
nice(1), renice(1), taskset(1)

Consultez sched_setscheduler(2) pour une description de l'organisation de l'ordonnancement de Linux.

AUTEUR
Écrit par Robert M. Love.

COPYRIGHT
Copyright © 2004 Robert M. Love. C'est un logiciel libre ; consultez les sources pour les conditions de copie. Il n'y a AUCUNE garantie ; même pas de VALEUR MARCHANDE ou d'ADÉQUATION À UNE UTILISATION PARTICULIÈRE.

DISPONIBILITÉ
La commande chrt fait partie du paquet util-linux, elle est disponible sur <ftp://ftp.kernel.org/pub/linux/utils/util-linux/>.

TRADUCTION
Cette page de manuel a été traduite par Alexandre Kuoch <alex DOT kuoch AT gmail DOT com> et est maintenue par la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.